#!/bin/bash

ROMFILE=`ls tos102??.img 2> /dev/null`

if [ "$?" -ne 0 ]; then
	echo "TOS 1.02 is required. Copy a ROM image in the current directory."
	echo "Required filename: 'tos102xx.img', xx=us, de, fr, ... "
	exit
fi

cp multigem.tpl multigem.cfg
sed -i "s@HHHHH@${HOME}@" multigem.cfg
sed -i "s@CCCCC@${PWD}@" multigem.cfg
sed -i "s@RRRRR@${ROMFILE}@" multigem.cfg 

hatari -c multigem.cfg

